local PoleFlag = ...

-- Apply building asset processor
PoleFlag:registerAssetProcessor("models/poleFlag.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register all stone gate set building parts and their properties
PoleFlag:dofile("buildings.lua")

-- Register the stone gate set monument
PoleFlag:register({
	DataType = "MONUMENT",
	Id = "POLE_FLAG_MONUMENT",
	Name = "POLE_FLAG_MONUMENT_NAME",
	Description = "POLE_FLAG_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartList = {
		"POLE_FLAG_ROOT_PART"
	},
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 }
	},
        IsEditable = true
})